Size.LobMultiplier (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.relational
Enum Size.LobMultiplier

    java.lang.Object
      java.lang.Enum<Size.LobMultiplier>
          org.hibernate.metamodel.relational.Size.LobMultiplier

All Implemented Interfaces:
  Serializable, Comparable<Size.LobMultiplier>

Enclosing class:
  Size

    public static enum Size.LobMultiplier

extends Enum<Size.LobMultiplier>

Enum Constant Summary
`G`
`K`
`M`
`NONE`

Method Summary
`long` | `getFactor()`
`static Size.LobMultiplier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Size.LobMultiplier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Size.LobMultiplier NONE

### K

    public static final Size.LobMultiplier K

### M

    public static final Size.LobMultiplier M

### G

    public static final Size.LobMultiplier G

Method Detail

### values

    public static Size.LobMultiplier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Size.LobMultiplier c : Size.LobMultiplier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Size.LobMultiplier valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFactor

    public long getFactor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.